<?php
namespace Pinpoint\CustomPriceRulesExport\Controller\Adminhtml\Export;

use Magento\Backend\App\Action;
use Magento\Framework\App\Response\Http\FileFactory;
use Pinpoint\CustomPriceRulesExport\Model\Exporter;

class Export extends Action
{
    protected $fileFactory;
    protected $exporter;

    public function __construct(
        Action\Context $context,
        FileFactory $fileFactory,
        Exporter $exporter
    ) {
        parent::__construct($context);
        $this->fileFactory = $fileFactory;
        $this->exporter = $exporter;
    }

    public function execute()
    {
        $fileName = 'price_rules_export.csv';
        $content = $this->exporter->getExportData();

        return $this->fileFactory->create($fileName, $content, 'var');
    }
}
